#!/usr/bin/perl -wT
#
#         reg_form.cgi
#
#     ESJ 参加・講演申し込み処理プログラム
#
#     2010 Takenaka, A.
#  rev   2013-09-26 Takenaka


use strict;
use warnings;

use utf8;

use CGI;
use Encode;
use HTML::Template;
use CGI::Carp('fatalsToBrowser');

#=comment
use lib qw(/var/www/vhosts/esj.ne.jp/httpdocs/pm);
use ESJ::Reg;
use ESJ::Util;
use ESJ::Info;
#=cut

my $charset = "UTF-8";

my $Data = new CGI; #   CGI オブジェクトを取得。global 変数。
$Data->charset($charset);
print $Data->header(-type=>"text/html");

my $admin  = &ESJ::Util::form_str_utf8($Data, 'admin');     #  管理者による編集か。

my $ref = {};  #  閲覧・編集の場合、このオブジェクトを介して情報を渡す。

my $presen_reg_limit = &ESJ::Info::get_presen_reg_limit();

# $presen_reg_limit = "2013-09-20 17:00";  # テスト用

unless ($admin) {
    unless (&ESJ::Util::is_within_time_limit($presen_reg_limit)) {
        &ESJ::Util::show_expiry_message();
    	exit();
    }
}
else {
    $ref->{admin} = 'admin';
}

&ESJ::Reg::make_registration_form($ref);
